## plex86 0.0.20011018

=== docs/txt/Makefile ===
.PHONY: clean all html ps

all: html ps
	@echo "txt files were left in txt format for some targets"

html:
	/bin/cp -f *.txt ../output/html

ps:
	a2ps paper-19991129a.txt -o paper-19991129a.ps
	mv ./*.ps ../output/ps
	rm -f paper-19991129a.ps

clean:
	rm -f *.ps
	rm -f *.html

=== docs/xml/Makefile ===
.PHONY: all html clean ps


all: html

html:
	make -C PUG html
	make -C PIG html

ps:
	make -C PUG ps
	make -C PIG ps

clean:
	make -C PUG clean
	make -C PIG clean
	/bin/rm -f *~

=== docs/xml/PIG/Makefile ===
.PHONY: all html clean ps

all: html

html:
	/bin/rm -rf ../../output/html/PIG
	mkdir ../../output/html/PIG
	docbook2html -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \
	  -c /etc/sgml/catalog \
	  -o ../../output/html/PIG book_PIG.xml
	/bin/cp -f *.png ../../output/html/PIG

ps:
	docbook2ps -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \
	  -c /etc/sgml/catalog \
	  book_PIG.xml
	/bin/mv -f book_PIG.ps ../../output/ps/

clean:
	/bin/rm -f *.tex *.aux *.dvi *.log *.out *.pdf *.ps *~

=== docs/xml/PUG/Makefile ===
.PHONY: all html clean ps

all: html

html:
	/bin/rm -rf ../../output/html/PUG
	mkdir ../../output/html/PUG
	docbook2html -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \
	  -c /etc/sgml/catalog \
	  -o ../../output/html/PUG book_PUG.xml

ps:
	docbook2ps -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \
	  -c /etc/sgml/catalog \
	  book_PUG.xml
	/bin/mv -f book_PUG.ps ../../output/ps/

clean:
	/bin/rm -f *.tex *.aux *.dvi *.log *.out *.pdf *.ps *~

## plex86 0.0.20030525

=== docs/xml/PIG/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	docbook2html -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \
 	  -c /etc/sgml/catalog \
 	  -o ../../output/html/PIG book_PIG.xml
-	/bin/cp -f *.png ../../output/html/PIG
+	/bin/cp -f *.gif ../../output/html/PIG
 
 ps:
 	docbook2ps -l /usr/share/doc/openjade-1.3/pubtext/xml.dcl \

## plex86 0.0.20030525.goodbye

=== debian/changelog ===
plex86 (0.0.20030525.goodbye) unstable; urgency=high

  * Plex86 is dead upstream.  No commit in 14 months.  No real advantage
    in either functionality or performance in comparison to Bochs.  Even
    as a backend for Bochs it doesn't work properly, since upstream hasn't
    put any interest in maintaining that feature.  I'm deprecating it.

  * This upload is a dummy transitional package for the people currently
    using Plex86 in stable.  It's important to upgrade their packages since
    they're currently running a Linux module that unstabilises their kernel
    and serves no real purpose.  This is why I'm adding a 'plex86-kernel'
    package.

  * Set 'urgency=high' to ensure Sarge won't include the old plex86 package.

  * I'm upgrading the debconf template to reflect that.

  * I'm currently keeping this package untill:
      - It releases with Sarge.
      - createdisk is moved to Bochs.

  * Nuke some bugs.
    (Closes: #196961, #202097, #225264, #230834, #137490, #149640, #205479,
     #215977, #126120, #152658, #171738)

 -- Robert Millan <rmh@debian.org>  Mon,  9 Aug 2004 20:13:15 +0200

plex86 (0.0.20030525-3) unstable; urgency=low

  * debian/po/fr.po: Update from Nicolas Bertolissio. (Closes: #235273)

 -- Robert Millan <rmh@debian.org>  Sun, 29 Feb 2004 19:04:42 +0100

plex86 (0.0.20030525-2) unstable; urgency=low

  * Revert wrong spelling patches. (Closes: #165698, #165704)
  * Fix ill syntax: s|$RET="true"|$RET = "true"|g. (Closes: #233826)
    - debian/debian-kernel/postrm: Do it.
    - debian/plex86-kernel-src.postrm: Again.

 -- Robert Millan <rmh@debian.org>  Sat, 21 Feb 2004 18:01:33 +0100

plex86 (0.0.20030525-1.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Switch to gettext-based debconf templates (Closes: #208868)
  * Fix spelling in templates (Closes: #165698, #165704)
  * Add French translation of gettext templates (Closes: #211267)
  * Add German translation of gettext templates

 -- Nicolas Bertolissio <bertol@debian.org>  Sat, 24 Jan 2004 23:01:39 +0100

plex86 (0.0.20030525-1) unstable; urgency=low

  * New upstream snapshot.
  * Merged createdisk and linux-modversions patches into upstream.

 -- Robert Millan <rmh@debian.org>  Sun, 25 May 2003 04:01:19 +0200

plex86 (0.0.20021018-3) unstable; urgency=low

  * Moved diffs into debian/patches.
  * Ripped down most of the package. The userland component of Plex86
    has now been superceeded by Bochs. (see README.Debian)
    (Closes: #166354, #127822, #168906, #179360, #189986)
  * Using /etc/modules and /etc/modules.conf for module handling
    (rather than /etc/init.d/plex86). (Closes: #140716)

 -- Robert Millan <rmh@debian.org>  Sat, 24 May 2003 11:55:43 +0000

plex86 (0.0.20021018-2) unstable; urgency=low

  * First upload as a developer.
  * Use fakeroot sh -c in debian/rules. (Closes: #184866)
  * Fixed Linux unresolved symbol problem. Thanks Guillem Jover.
    (Closes: #140431)
  * Fixed German templates. Thanks Helge Kreutzmann. (Closes: #130082)
  * Added feature in createdisk to create sparse disk images. Thanks
    Francis J. Lacoste. (Closes: #166510)

 -- Robert Millan <rmh@debian.org>  Sun, 23 Mar 2003 16:16:19 +0000

plex86 (0.0.20021018-1) unstable; urgency=low

  * New upstream snapshot.
  * plex86-kernel-src doesn't work with kernel-source anymore, removing
    from Recommends.
  * Now checking for validity of Linux headers through existance of version.h
    file. (Closes: #163671).
  * Changed "no module found" error in postinst to a warning with indication
    that the plex86-kernel package has to be installed. (Closes: #164985)
  * Fixed plex86 group removal for purge case of plex86-kernel.postrm.
    (Closes: #163214)
  *

 -- Robert Millan <zeratul2@wanadoo.es>  Thu, 17 Oct 2002 06:14:03 +0200

plex86 (0.0.20020727-3) unstable; urgency=low

  * The 'happy birthday' release.
  * Inserting Linux module on init.d script not on postinst. (Closes: #135756)

 -- Robert Millan <zeratul2@wanadoo.es>  Sun, 18 Aug 2002 12:35:39 +0200

plex86 (0.0.20020727-2) unstable; urgency=low

  * Fixed group check in plex86-kernel postrm. (Closes: #156299)
  * Determine wether devfs is used before rm -f /dev/plex86 (Closes: #149875)
  * Already renamed references to .bochs in README.Debian, forgot to
    add it in last entry. (Closes: #152722)
  * Reactivated bios building, since bug #153449 has pending upload now.
    this package been built with an old bcc, don't tell anyone ;)

 -- Robert Millan <zeratul2@wanadoo.es>  Tue, 13 Aug 2002 00:58:33 +0200

plex86 (0.0.20020727-1) unstable; urgency=low

  * New upstream snapshot.
  * Using build-essential for plex86-kernel-src dependencies.
  * Fixed 'untill' mispell. (Closes: #142725)
  * csh dependancy no longer needed to build the bios.
  * Temporarily deactivating bios building (see bug #153449).

 -- Robert Millan <zeratul2@wanadoo.es>  Sat, 27 Jul 2002 19:57:42 +0200

plex86 (0.0.20011018-12) unstable; urgency=high

  * Checking group existance before attempting removal (Closes: #148281)

 -- Robert Millan <zeratul2@wanadoo.es>  Wed, 29 May 2002 09:44:54 +0200

plex86 (0.0.20011018-11) unstable; urgency=low

  * Placed Replaces: plex86 (<= 0.0.20011018-9) on plex86-{x,curses}.
    (Closes: #147939)
  * Remove plex86 group on plex86.postrm. (Closes: #147191)

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 24 May 2002 13:34:07 +0200

plex86 (0.0.20011018-10) unstable; urgency=low

  * Applied missing plugins to conf/winnt. (Closes: #144600)
  * Splitted userspace binaries into plex86-x and plex86-curses packages.
  * Checking for /dev/plex86 existance before killing accessing processes.
  * Added some german translations, please review. (Closes: #130083)
  * Using versioned depends from plex86 to plex86-{x,curses}.

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 26 Apr 2002 07:16:52 +0200

plex86 (0.0.20011018-9) unstable; urgency=low

  * Set proper target requisites in debian.binary/rules. (Closes: #143827)


=== debian/control ===
Source: plex86
Section: misc
Priority: extra
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 4.1.16)
Standards-Version: 3.5.2

Package: plex86
Architecture: i386
Replaces: plex86-kernel-common
Depends: bochs (>= 2.0.2+20030522-2), debconf
Conflicts: plex86-kernel-common
Description: PC virtualization program to run x86 OSes [dummy package]
 The functionality of Plex86 in debian has been superceeded by the Bochs
 package. This is a dummy package that depends on bochs to facilitate
 upgrade, and can be safely removed.

Package: plex86-x
Architecture: i386
Depends: bochs-x (>= 2.0.2+20030522-2)
Description: Plex86 userspace binaries with X interface [dummy package]
 The functionality of Plex86 in debian has been superceeded by the Bochs
 package. This is a dummy package that depends on bochs to facilitate
 upgrade, and can be safely removed.

Package: plex86-curses
Architecture: i386
Depends: bochs-term (>= 2.0.2+20030522-2)
Description: Plex86 userspace binaries with curses interface [dummy package]
 The functionality of Plex86 in debian has been superceeded by the Bochs
 package. This is a dummy package that depends on bochs to facilitate
 upgrade, and can be safely removed.

Package: plex86-kernel
Architecture: i386
Conflicts: plex86-kernel
Description: Kernel code for Plex86 [dummy package]
 The functionality of Plex86 in debian has been superceeded by the Bochs
 package. This is a dummy package to facilitate  upgrade, and can be safely
 removed.

Package: plex86-kernel-src
Architecture: i386
Description: kernel code for Plex86 [dummy package]
 The functionality of Plex86 in debian has been superceeded by the Bochs
 package. This is a dummy package to facilitate  upgrade, and can be safely
 removed.

Package: createdisk
Architecture: all
Conflicts: plex86 (<= 0.0.20011018-4)
Description: Plex86 Empty Disk Image Utility
 This tool is part of the Plex86 project. Its purpose is to generate
 disk images that are used to allocate the guest operating system in
 Plex86 environment.
 .
 It can be useful for other programs that also make use of disk images,
 like Bochs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

build: build-stamp
build-stamp: 
	dh_testdir
	dh_installdirs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m755 createdisk.sh debian/createdisk/usr/bin/createdisk
	install createdisk.README \
		debian/createdisk/usr/share/doc/createdisk/README.createdisk

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
